Subject: Re: Network card driver problem (znb.o/tulip)

From: Kosta Todorovic <[email-masked]>
Date: Sun, 20 Mar 2005 23:02:53 +0400

Using the standard tulip driver in 64bit mode loads the cards but they
just dont seem to work.
When i tested with "mii-tool -w" it keep saying "Autonegotiation Failed".

On 20 Mar 2005 09:05:46 -0500, jamal <[email-masked]> wrote:
> 
> I have those 4 port cards(quiet a few i may add and used in all my
> experiments on NAPI with 10/100 etc for the last few eons) and they work
> just fine with standard linux driver on my 32 bit hardware - not sure
> about 64 bit.
> There is one subtle difference. They use SYM PHY.
> Donald Beckers drivers had this right - the current tulip driver still
> has it wrong. I attempted to incorporate Donalds fixes a while back:
> http://www.cyberus.ca/~hadi/patches/tulip-sym-fixed-20030103.tgz
> 
> In my experience i have found even with current tulip driver no issues
> unless you start doing things like 10Mbps half-duplex. I.e you dont need
> the SYM PHY support.
> 
> cheers,
> jamal
> 
> On Sat, 2005-03-19 at 10:23, Francois Romieu wrote:
> > Jon Mason <[email-masked]> :
> > [...]
> > > The ZNXY website provides the driver source for the 4port adapter (and it is
> > > GPL'ed), but it seems to me that this is really an issue of getting the
> > > adapter to work with the "real" kernel driver, tulip.
> >
> > There are no sources for the rlk.O file and the driver suffers a bit from
> > the usual out-of-tree hal braindamage. Both can probably be worked around
> > but I would not make my business depend on the availability of a sane
> > driver within a reasonable timescale.
> >
> > --
> > Ueimor
> >
> >
> 
>